
D4Science Infrastructure - VM Creation #10208

Task # 5447 (Closed): Provide maintainable solution for hosting static web-apps + SFTP access for easy maintenance

A VM to host the PAIM static web applications

Nov 03, 2017 07:05 PM - Andrea Dell'Amico

Status: Closed Start date: Nov 03, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: UnSprintable   

Infrastructure: Production Applications list and

version:

Static web sites only

RAM: 2 Applications context

path:

 

CPU: 2 External storage data

disk:

 

DiskSpace: 20 Smartgears auth

connector:

 

Smartgears: No data transfer

enabled:

No

Smartgears Version:  PostgreSQL

database:

No

Application

Instructions:

 Number of VMs: 1

Smartgears scopes:    

Description

Give write access to Emmanuel Blondel

History

#1 - Nov 06, 2017 01:53 PM - Andrea Dell'Amico

- Status changed from New to In Progress

static-web.d4science.org 146.48.123.62

#2 - Nov 07, 2017 12:15 AM - Andrea Dell'Amico

- % Done changed from 0 to 50

The playbook is ready (last famous words).

#3 - Nov 07, 2017 12:32 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

The VM is ready, we do not have a valid certificate yet.

ssh has been setup so that the users that belong to the filetransfer group are chrooted into /var/www/html. This means that their home must be a

subdirectory.

The nginx configuration denies requests of files that start with a dot to protect the ssh configurations.
